Package com.sas.lsaf.execution.job

## Class ParameterValue

- java.lang.Object
- - com.sas.lsaf.execution.job.ParameterValue

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ParameterValue
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents a parameter value. A parameter value specifies the value of a job parameter when a job is submitted. The name specifies the job parameter name that is defined in the job. If a default value is defined for the job parameter, the default value is overridden by the value that is specified by the object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterValue​(java.lang.String name, java.io.Serializable value, JobParameter.ParameterType type)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` | Gets the name of the parameter.
    `JobParameter.ParameterType` | `getType()` | Gets the type of the parameter.
    `java.io.Serializable` | `getValue()` | Gets the value of the parameter.
    `int` | `hashCode()` |
    `void` | `setName​(java.lang.String name)` | Sets the name of the parameter.
    `void` | `setType​(JobParameter.ParameterType type)` | Sets the type of the parameter.
    `void` | `setValue​(java.io.Serializable value)` | Sets the value of the parameter.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterValue

          public ParameterValue​(java.lang.String name,
                                java.io.Serializable value,
                                JobParameter.ParameterType type)

      The constructor.
      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter. For parameters of type FILE and FOLDER, the value must be specified as a `JobInput`. The values of CHARACTER and NUMERIC parameters must be specified as a String. The DATE parameter values must be specified as java.util.Date.
        `type` - The type of the parameter.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the parameter.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the parameter.
      Parameters:
        `name` - The name.

    - #### getValue

          public java.io.Serializable getValue()

      Gets the value of the parameter.
      Returns:
        The default value.

    - #### setValue

          public void setValue​(java.io.Serializable value)

      Sets the value of the parameter.
    - The value specified must have types that are based on the parameter type :
    - FILE and FOLDER : The value must be specified as a `JobInput`.
    - CHARACTER and NUMERIC : The value must be specified as java.lang.String.
    - DATE : The value must be specified as java.util.Date.

Parameters:
  `value` - The default value to set.

- #### setType

      public void setType​(JobParameter.ParameterType type)

  Sets the type of the parameter.
  Parameters:
    `type` - The type.

- #### getType

      public JobParameter.ParameterType getType()

  Gets the type of the parameter.
  Returns:
    The type.

- #### hashCode

      public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

- #### equals

      public boolean equals​(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

- #### toString

      public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`